# 矢量数据模型
from sqlalchemy import Column, Integer, String, JSON, Table, MetaData
from geoalchemy2 import Geometry
from .base import Base
from ..database import engine

# 使用现有的表
metadata = MetaData()
surveydata = Table(
    "surveydata",
    metadata,
    schema="public",
    autoload_with=engine
)

# 定义矢量数据模型
class VectorData(Base):
    __table__ = surveydata
